﻿using System;
using System.Windows.Forms;

namespace SheetPlayer {
    public partial class aoMenu : Form {
        public aoMenu(int i) {
            InitializeComponent();
            index = i;
            tbMetaData.Text = mainForm.aoPool[index].metaData;
            tbSize.Value = mainForm.aoPool[index].size;
        }

        int index;

        private void tbMetaData_TextChanged(object sender, EventArgs e) {
            mainForm.aoPool[index].metaData = tbMetaData.Text;
        }

        private void tbSize_Scroll(object sender, EventArgs e) {
            mainForm.aoPool[index].size = tbSize.Value;
        }

        private void cmdDelete_Click(object sender, EventArgs e) {
            mainForm.aoPool.RemoveAt(index);
            Close();
        }

        private void aoMenu_Deactivate(object sender, EventArgs e) {
            Close();
        }
    }
}
